C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION DETERM(CA)
	REAL*8 CA,SAV
	DIMENSION CA(3,3)
10	DETERM=1
11	DO 50 K=1,3
C*****
C*****INTERCHANGE ROWS IF DIAG EL =0
C*****	IF(CA(K,K))41,21,41
21	DO 23 J=K,3
	IF(CA(K,J))31,23,31
23	CONTINUE
	DETERM=0.
	GOTO 60
31	DO 34 I=K,3
	SAV=CA(I,J)
	CA(I,J)=CA(I,K)
34	CA(I,K)=SAV
	DETERM=-DETERM
C*****
C*****SUBTRACT ROW K FROM LOWER ROWS TO GET DIAG MATRIX
C*****
41	DETERM=DETERM*CA(K,K)
	IF(K-3)43,50,50
43	K1=K+1
	DO 46 I=K1,3
	DO 46 J=K1,3
46	CA(I,J)=CA(I,J)-CA(I,K)*CA(K,J)/CA(K,K)
50	CONTINUE
60	RETURN
	END
